## tqftpserv 1.0

=== Makefile ===
TQFTPSERV := tqftpserv

CFLAGS := -Wall -g -O2
LDFLAGS := -lqrtr

prefix ?= /usr/local
bindir := $(prefix)/bin
servicedir := $(prefix)/lib/systemd/system

SRCS := tqftpserv.c translate.c

OBJS := $(SRCS:.c=.o)

$(TQFTPSERV): $(OBJS)
	$(CC) -o $@ $^ $(LDFLAGS)

tqftpserv.service: tqftpserv.service.in
	@sed 's+TQFTPSERV_PATH+$(bindir)+g' $< > $@

install: $(TQFTPSERV) tqftpserv.service
	@install -D -m 755 $(TQFTPSERV) $(DESTDIR)$(bindir)/$(TQFTPSERV)
	@install -D -m 644 tqftpserv.service $(DESTDIR)$(servicedir)/tqftpserv.service

clean:
	rm -f $(TQFTPSERV) $(OBJS) tqftpserv.service

## tqftpserv 0.0+git20200207

=== debian/changelog ===
tqftpserv (0.0+git20200207-2) unstable; urgency=medium

  * Source-only upload to allow transitioning to testing

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 04 Aug 2022 13:19:32 +0200

tqftpserv (0.0+git20200207-1) unstable; urgency=medium

  * Initial Debian packaging (Closes: #1016013)

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 25 Jul 2022 13:49:30 +0200

=== debian/control ===
Source: tqftpserv
Section: net
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders: Arnaud Ferraris <aferraris@debian.org>
Standards-Version: 4.6.1
Build-Depends: debhelper-compat (= 13),
               libqrtr-dev,
Homepage: https://github.com/andersson/tqftpserv
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/tqftpserv.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/tqftpserv
Rules-Requires-Root: no

Package: tqftpserv
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: TFTP server implementation for the QRTR protocol
 TFTP server working over the QRTR protocol, enabling basic communication
 with remote processors (Wi-Fi, modem, sensors...) found in recent
 Qualcomm SoC's.

## tqftpserv 1.0

=== debian/changelog ===
tqftpserv (1.0-4) unstable; urgency=medium

  [ Dmitry Baryshkov ]
  * d/patches: don't call dirname second time
    dirname modifies passed argument, so don't call it again. Instead
    concatenating firmware_value would result in the proper path being
    constructed.
    (Closes: #1030973)

 -- Arnaud Ferraris <aferraris@debian.org>  Fri, 10 Feb 2023 09:02:00 +0100

tqftpserv (1.0-3) unstable; urgency=medium

  * d/patches: lookup firmware files under /lib/firmware/updates
    `/lib/firmware/updates` is a legitimate location for firmware files,
    `tqftpserv` should look there as well.

 -- Arnaud Ferraris <aferraris@debian.org>  Thu, 09 Feb 2023 19:53:43 +0100

tqftpserv (1.0-2) unstable; urgency=medium

  * d/rules: install service file under `/lib/systemd`
    `debhelper` looks for service files under `/lib/systemd`, but ignores
    those installed under `/usr/lib/systemd`, so we need to install our
    service file to the former location to have it auto-enabled on install.

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 11 Jan 2023 00:16:00 +0100

tqftpserv (1.0-1) unstable; urgency=medium

  * New upstream version 1.0
  * d/control: bump Standards-Version, no change required

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 03 Jan 2023 10:39:18 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
                libqrtr-dev,
 Homepage: https://github.com/andersson/tqftpserv

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
export TQFTPSERV_BUILD_OPTS=prefix=/usr

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- ${TQFTPSERV_BUILD_OPTS}

override_dh_auto_install:
	dh_auto_install -- ${TQFTPSERV_BUILD_OPTS}
	mv debian/tqftpserv/usr/lib debian/tqftpserv/

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tqftpserv-$1.tar.gz%" \
   https://github.com/andersson/tqftpserv/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## tqftpserv 1.1

=== meson_options.txt ===
option('systemd-unit-prefix',
  type: 'string',
  description: 'Directory for systemd system unit files'
)

=== debian/changelog ===
tqftpserv (1.1-3) unstable; urgency=medium

  * d/copyright: update upstream contact
  * debian: add udeb package.
    This makes it possible to include this package in debian-installer
    images, allowing users to use remote processors (e.g. WiFi) when running
    on Qualcomm-based hardware. (Closes: #1076725)

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 03 Feb 2025 17:04:56 +0100

tqftpserv (1.1-2) unstable; urgency=medium

  * d/patches: fix hasty copy/paste bug.
    The patch tries to build the regular path from the full firmware path
    (including filename) and appending `/<filename>` once again, leading to
    an incorrect path such as `/lib/firmware/<path>/<filename>/<filename>`.
    Fix this by using `firmware_path` instead of `firmware_value`.
    (Closes: #1082675)

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 25 Sep 2024 08:52:02 +0200

tqftpserv (1.1-1) unstable; urgency=medium

  * New upstream version (Closes: #1076802)
  * d/patches: update for new upstream version
  * d/gbp.conf: use same defaults as other packages I maintain
  * d/control: add missing build-dependencies.
    This package now requires dev files for `libzstd` and `systemd` to be
    available at build time. It also now uses `meson` for its build system,
    which in turn relies on `pkgconf`, so let's add those too.
    While at it, bump Standards-Version as no other change is needed.
  * d/rules: drop overrides.
    This package switched to using `meson` as its build system, so we can
    simplify our `d/rules` and just drop our overrides.
  * debian: update upstream repo URL
    This repo has been moved to the `linux-msm` group, let's reflect that in
    our package.

 -- Arnaud Ferraris <aferraris@debian.org>  Wed, 28 Aug 2024 13:02:13 +0200

tqftpserv (1.0-5) unstable; urgency=medium

  * Upload to unstable

 -- Arnaud Ferraris <aferraris@debian.org>  Tue, 02 Jan 2024 09:26:34 +0100

tqftpserv (1.0-5~exp1) experimental; urgency=medium

  * d/gbp.conf: use 'debian/experimental' as debian branch
  * debian: keep systemd service under /usr.
    In the current state of the Debian "/usr merge", we are allowed to move
    systemd services under `/usr/lib/systemd` when relying on
    `dh_installsystemd`. This requires adding a versioned dependency on
    `debhelper`.
    Let's comply by no longer moving `/usr/lib` to `/`.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 30 Oct 2023 17:19:50 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,15 @@
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 13.11.6),
                libqrtr-dev,
-Homepage: https://github.com/andersson/tqftpserv
+               libzstd-dev,
+               meson,
+               pkgconf,
+               systemd-dev,
+Homepage: https://github.com/linux-msm/tqftpserv
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/tqftpserv.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/tqftpserv
 Rules-Requires-Root: no
@@ -19,3 +24,17 @@
  TFTP server working over the QRTR protocol, enabling basic communication
  with remote processors (Wi-Fi, modem, sensors...) found in recent
  Qualcomm SoC's.
+
+Package: tqftpserv-udeb
+Build-Profiles: <!noudeb>
+Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
+Description: TFTP server implementation for the QRTR protocol
+ This is a udeb, or a microdeb, for the debian-installer.
+ .
+ TFTP server working over the QRTR protocol, enabling basic communication
+ with remote processors (Wi-Fi, modem, sensors...) found in recent
+ Qualcomm SoC's.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%tqftpserv-$1.tar.gz%" \
   https://github.com/linux-msm/tqftpserv/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## tqftpserv 1.1.1

=== debian/changelog ===
tqftpserv (1.1.1-1) unstable; urgency=medium

  * New upstream version
  * d/patches: drop upstreamed patches
  * d/watch: convert to version 5
  * d/control: drop unneeded fields.
    As per Debian policy v4.7.3, `Priority: optional` is no longer needed.
    Likewise, `Rules-Requires-Root: no` is now obsolete. Drop those fields
    and bump Standards-Version accordingly.

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 12 Jan 2026 10:12:35 +0100

tqftpserv (1.1-4) unstable; urgency=medium

  * d/control: only build for ARMv7+
    This package is specifically aimed at supporting hardware features of
    modern Qualcomm SoC's, which are all ARM-based (mostly `arm64`, but that
    includes `armhf` parts such as e.g. MSM8916). There's no point shipping
    this package on other architectures, so limit the list to `armhf` and
    `arm64`, while keeping `amd64` as it greatly simplifies running CI and
    debugging builds.
  * d/patches: backport upstream service fix.
    The QRTR nameserver has been built into the kernel for years now, so the
    service no longer needs to depend on `qrtr-ns.service`. (Closes: #1104039)

 -- Arnaud Ferraris <aferraris@debian.org>  Mon, 19 May 2025 12:18:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: tqftpserv
 Section: net
-Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders: Arnaud Ferraris <aferraris@debian.org>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Build-Depends: debhelper-compat (= 13),
                debhelper (>= 13.11.6),
                libqrtr-dev,
@@ -14,10 +13,9 @@
 Homepage: https://github.com/linux-msm/tqftpserv
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/tqftpserv.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/tqftpserv
-Rules-Requires-Root: no
 
 Package: tqftpserv
-Architecture: any
+Architecture: amd64 armhf arm64
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Description: TFTP server implementation for the QRTR protocol
@@ -29,7 +27,7 @@
 Build-Profiles: <!noudeb>
 Package-Type: udeb
 Section: debian-installer
-Architecture: any
+Architecture: amd64 armhf arm64
 Depends: ${misc:Depends},
          ${shlibs:Depends},
 Description: TFTP server implementation for the QRTR protocol
